#include "main.h"
#include "modBox.h"
#include "modBoxConf.h"
#include "claseVerTexto.h"
#include "claseVerIns.h"

int main(int argc,char **argv)
{
	KApplication application (argc,argv);

	modBox proyecto_mp;
        modBoxConf dialogo_conf(0, "dialogo_conf");
        claseVerTexto ventanaTexto(0, "it_texto");
        claseVerIns   ventanaIns(0, "instrumentos");

        /* conecciones con la ventana de configuracin */
        QObject::connect(&dialogo_conf,SIGNAL(conf_cambiada()),
                         &proyecto_mp,SLOT(actualizar_conf()) );
        QObject::connect(&proyecto_mp,SIGNAL(quiero_conf()),
                         &dialogo_conf,SLOT(te_doy_conf()) );
        /* conecciones con la ventana de texto */
        QObject::connect(&proyecto_mp,SIGNAL(cambiar_texto(char *)),
                         &ventanaTexto,SLOT(cargar_texto(char *)) );
        QObject::connect(&proyecto_mp,SIGNAL(mostrar_texto( bool )),
                         &ventanaTexto,SLOT(mostrar( bool )) );
        QObject::connect(&ventanaTexto,SIGNAL(ocultar_texto()),
                         &proyecto_mp,SLOT(ocultar_texto()) );
        /* conecciones con la ventana de instrumentos */
        QObject::connect(&proyecto_mp,SIGNAL(cambiar_ins(MODULE *)),
                         &ventanaIns,SLOT(cargar_ins(MODULE *)) );
        QObject::connect(&proyecto_mp,SIGNAL(mostrar_ins( bool )),
                         &ventanaIns,SLOT(mostrar( bool )) );
        QObject::connect(&ventanaIns,SIGNAL(ocultar_ins()),
                         &proyecto_mp,SLOT(ocultar_ins()) );

	// application.setMainWidget(&proyecto_mp);

	proyecto_mp.show();
	return application.exec();
}
